GWT 2.7.0

## com.google.gwt.resources.gss.ast
Class CssJavaExpressionNode

    java.lang.Object
      com.google.gwt.thirdparty.common.css.compiler.ast.CssNode
          com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode
              com.google.gwt.resources.gss.ast.CssJavaExpressionNode

    public class CssJavaExpressionNode

extends com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode

Represents a Java expression.

Constructor Summary
`CssJavaExpressionNode(java.lang.String expression)`
`CssJavaExpressionNode(java.lang.String expression, com.google.gwt.thirdparty.common.css.SourceCodeLocation sourceCodeLocation)`

Method Summary
`com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode` | `deepCopy()`
`java.lang.String` | `toString()`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode
`getIsDefault, getValue, leaves, setIsDefault, setValue`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.CssNode
`ancestors, appendComment, equals, getComments, getParent, getShouldBeFlipped, getSourceCodeLocation, getVisitController, hasComment, hashCode, inFunArgs, setComments, setShouldBeFlipped, setSourceCodeLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssJavaExpressionNode

    public CssJavaExpressionNode(java.lang.String expression)

### CssJavaExpressionNode

    public CssJavaExpressionNode(java.lang.String expression,
                                 com.google.gwt.thirdparty.common.css.SourceCodeLocation sourceCodeLocation)

Method Detail

### deepCopy

    public com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode deepCopy()

  Overrides:
    `deepCopy` in class `com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode`

GWT 2.7.0